﻿<h1>
  Displaying {{ data.length }} {{moduleName}}.
</h1>

<div>    
  <a routerLink="/employeesadd" routerLinkActive="active" class="btn btn-primary">
    Add
  </a>
</div>

<table class="table">
  <thead class="thead-dark">
    <tr>   
	   <th scope="col">Id</th> 
<th scope="col">V</th> 
<th scope="col">First Name</th> 
<th scope="col">Last Name</th> 
<th scope="col">CI</th> 
<th scope="col">Email</th> 
<th scope="col">Descripcion</th> 
<th scope="col">Status</th> 
<th scope="col">Modificar</th> 
<th scope="col">Remover</th> 



    </tr>
  </thead>

  <tbody>
    <tr *ngFor="let singleData of data">  
    
       <th scope="row"> 
<a routerLink="{{singleData._id}}" routerLinkActive="active"> 
{{ singleData._id }} 
</a> 
</th> 
<td>{{ singleData.__v }}</td> 
<td>{{ singleData.empl_firstname }}</td> 
<td>{{ singleData.empl_lastname }}</td> 
<td>{{ singleData.empl_ci }}</td> 
<td>{{ singleData.empl_email }}</td> 
<td>{{ singleData.empl_image }}</td> 
<td>{{ singleData.empl_status }}</td> 

    
      <td><a routerLink="/employeesedit/{{singleData[keyName]}}" type="button" class="btn btn-info">Modificar</a></td>
      <td><button (click)="removeData(singleData[keyName])" type="button" class="btn btn-danger">Remover</button></td>
    </tr>
  </tbody>
</table>

